Developer
News and Updates
Get Support
Sign in
Get Support
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
  • Organization
  • Organization bulk operations
  • Customer
  • Customer bulk operations
  • Product
  • Entitlement
  • CSM Request
  • Task
  • Customer experience
Cloud
Customer Service Management / Reference / REST API

Entitlement

Postman Collection
OpenAPI
GET

Get entitlement detail fields

Returns all entitlement detail fields, including their configuration. You can use the get entitlement API to get details for a particular entitlement.

Permissions required: Administer Jira global permission.

read:entitlement.detail-field:jira-service-management

Request

This request has no parameters.

Responses

Returns a list of detail fields.

application/json

DetailFieldsWithConfiguration
GET/api/v1/entitlement/details
1 2 3 4 curl --request GET \ --url 'https://api.atlassian.com/jsm/csm/cloudid/{cloudId}/api/v1/entitlement/details' \ --header 'Authorization: Bearer <access_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 { "results": [ { "name": "Region", "type": { "name": "SELECT", "options": [ "AU", "EU", "US" ], "assetsObjectType": null }, "configuration": { "position": 1 } } ] }
POST

Create entitlement detail field

Creates an entitlement detail field. You can create up to 50 detail fields.

Permissions required: Administer Jira global permission.

write:entitlement.detail-field:jira-service-management

Request

Request bodyapplication/json

name

string

Required
type

CreateDetailFieldType

Required

Responses

Returns the created detail field.

application/json

CreateDetailFieldResponse
POST/api/v1/entitlement/details
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 curl --request POST \ --url 'https://api.atlassian.com/jsm/csm/cloudid/{cloudId}/api/v1/entitlement/details' \ --header 'Authorization: Bearer <access_token>' \ --header 'Accept: application/json' \ --header 'Content-Type: application/json' \ --data '{ "name": "Region", "type": { "name": "SELECT", "options": [ "AU", "EU", "US" ] } }'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 { "name": "Region", "type": { "name": "SELECT", "options": [ "AU", "EU", "US" ], "assetsObjectType": null } }
PUT

Edit entitlement detail field

Renames an entitlement detail field and/or changes the available options for SELECT or MULTISELECT fields.

Permissions required: Administer Jira global permission.

write:entitlement.detail-field:jira-service-management

Request

Path parameters

fieldName

string

Required

Request bodyapplication/json

name

string

Required
options

array<string>

Responses

Returns the edited entitlement detail field.

application/json

EditDetailFieldResponse
PUT/api/v1/entitlement/details/{fieldName}
1 2 3 4 5 6 7 8 9 10 11 12 13 curl --request PUT \ --url 'https://api.atlassian.com/jsm/csm/cloudid/{cloudId}/api/v1/entitlement/details/{fieldName}' \ --header 'Authorization: Bearer <access_token>' \ --header 'Accept: application/json' \ --header 'Content-Type: application/json' \ --data '{ "name": "Region", "options": [ "AU", "EU", "US" ] }'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 { "name": "Region", "type": { "name": "SELECT", "options": [ "AU", "EU", "US" ], "assetsObjectType": null } }
DEL

Delete entitlement detail field

Deletes an entitlement detail field and all values stored for it for all entitlements. You cannot restore a detail field once it has been deleted.

Permissions required: Administer Jira global permission.

delete:entitlement.detail-field:jira-service-management

Request

Path parameters

fieldName

string

Required

Responses

Returns no response if the entitlement detail field is deleted.

DEL/api/v1/entitlement/details/{fieldName}
1 2 3 curl --request DELETE \ --url 'https://api.atlassian.com/jsm/csm/cloudid/{cloudId}/api/v1/entitlement/details/{fieldName}' \ --header 'Authorization: Bearer <access_token>'
GET

Get entitlement

Returns an entitlement, including its details. You can get entitlements for a customer using the get customer entitlements API, and get entitlements for an organization using the get organization entitlements API.

Permissions required: Jira Service Management agent.

read:entitlement:jira-service-management
,
read:entitlement.detail:jira-service-management

Request

Path parameters

entitlementId

string

Required

Responses

Returns the requested entitlement.

application/json

Entitlement
GET/api/v1/entitlement/{entitlementId}
1 2 3 4 curl --request GET \ --url 'https://api.atlassian.com/jsm/csm/cloudid/{cloudId}/api/v1/entitlement/{entitlementId}' \ --header 'Authorization: Bearer <access_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 { "id": "3858a61a-d337-42e6-993e-e13e1c366d4f", "product": { "id": "3858a61a-d337-42e6-993e-e13e1c366d4f", "name": "Acme Widget" }, "entitledEntity": { "id": "123", "type": "CUSTOMER" }, "details": [ { "id": "321", "name": "Region", "type": { "name": "SELECT", "options": [ "AU", "EU", "US" ], "assetsObjectType": null }, "values": [ "EU" ], "assetsObjects": null, "configuration": { "position": 1 } } ] }
DEL

Delete entitlement

Deletes the specified entitlement along with its detail fields. You cannot restore an entitlement once it has been deleted.

Permissions required: Administer Jira global permission.

delete:entitlement:jira-service-management

Request

Path parameters

entitlementId

string

Required

Responses

Returns no response if the entitlement is deleted.

DEL/api/v1/entitlement/{entitlementId}
1 2 3 curl --request DELETE \ --url 'https://api.atlassian.com/jsm/csm/cloudid/{cloudId}/api/v1/entitlement/{entitlementId}' \ --header 'Authorization: Bearer <access_token>'
PUT

Set entitlement detail

Permissions required: Jira Service Management agent.

write:entitlement.detail:jira-service-management

Request

Path parameters

entitlementId

string

Required

Query parameters

fieldName

string

Required

Request bodyapplication/json

values

array<string>

Responses

Returns the updated field.

application/json

UpdateDetailFieldResponse
PUT/api/v1/entitlement/{entitlementId}/details
1 2 3 4 5 6 7 8 9 10 curl --request PUT \ --url 'https://api.atlassian.com/jsm/csm/cloudid/{cloudId}/api/v1/entitlement/{entitlementId}/details?fieldName=Tier' \ --header 'Authorization: Bearer <access_token>' \ --header 'Accept: application/json' \ --header 'Content-Type: application/json' \ --data '{ "values": [ "EU" ] }'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 { "id": "321", "name": "Region", "type": { "name": "SELECT", "options": [ "AU", "EU", "US" ], "assetsObjectType": null }, "values": [ "EU" ], "assetsObjects": null }
GET

Get entitlementsExperimental

Returns a paginated list of the customer or organization's entitlements, along with their details. Returns a max of 50 results.

Permissions required: Jira Service Management agent.

read:organization:entitlement:jira-service-management
,
read:customer:entitlement:jira-service-management

Request

Query parameters

entityType

EntitlementEntityType

Required
entityId

string

Required
start

integer

limit

integer

productId

string

Header parameters

X-ExperimentalApi

ExperimentalHeader

Required

Responses

Returns a paginated list of entitlements.

application/json

PaginatedEntitlements
GET/api/v1/entitlements
1 2 3 4 5 curl --request GET \ --url 'https://api.atlassian.com/jsm/csm/cloudid/{cloudId}/api/v1/entitlements?entityType=ORGANIZATION&entityId=qm%3A9edf598a-85d4-4db9-bf2e-7245922b4ea8%3A0000e9d8-a22e-4220-ac63-412ff9eec053' \ --header 'Authorization: Bearer <access_token>' \ --header 'Accept: application/json' \ --header 'X-ExperimentalApi: opt-in'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 { "startAt": 0, "maxResults": 25, "total": 200, "isLast": false, "results": [ { "id": "3858a61a-d337-42e6-993e-e13e1c366d4f", "product": { "id": "3858a61a-d337-42e6-993e-e13e1c366d4f", "name": "Acme Widget" }, "entitledEntity": { "id": "123", "type": "CUSTOMER" }, "details": [ { "id": "321", "name": "Region", "type": { "name": "SELECT", "options": [ "AU", "EU", "US" ], "assetsObjectType": null }, "values": [ "EU" ], "assetsObjects": null, "configuration": { "position": 1 } } ] } ] }

Rate this page: